org.keycloak.representations

## Class AccessTokenResponse

- java.lang.Object
- - org.keycloak.representations.AccessTokenResponse

-     public class AccessTokenResponse
      extends Object

  OAuth 2.0 Access Token Response json
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `expiresIn`
    `protected String` | `idToken`
    `protected int` | `notBeforePolicy`
    `protected Map<String,Object>` | `otherClaims`
    `protected long` | `refreshExpiresIn`
    `protected String` | `refreshToken`
    `protected String` | `sessionState`
    `protected String` | `token`
    `protected String` | `tokenType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessTokenResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getExpiresIn()`
    `String` | `getIdToken()`
    `int` | `getNotBeforePolicy()`
    `Map<String,Object>` | `getOtherClaims()`
    `long` | `getRefreshExpiresIn()`
    `String` | `getRefreshToken()`
    `String` | `getSessionState()`
    `String` | `getToken()`
    `String` | `getTokenType()`
    `void` | `setExpiresIn(long expiresIn)`
    `void` | `setIdToken(String idToken)`
    `void` | `setNotBeforePolicy(int notBeforePolicy)`
    `void` | `setOtherClaims(String name, Object value)`
    `void` | `setRefreshExpiresIn(long refreshExpiresIn)`
    `void` | `setRefreshToken(String refreshToken)`
    `void` | `setSessionState(String sessionState)`
    `void` | `setToken(String token)`
    `void` | `setTokenType(String tokenType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token

          protected String token

    - #### expiresIn

          protected long expiresIn

    - #### refreshExpiresIn

          protected long refreshExpiresIn

    - #### refreshToken

          protected String refreshToken

    - #### tokenType

          protected String tokenType

    - #### idToken

          protected String idToken

    - #### notBeforePolicy

          protected int notBeforePolicy

    - #### sessionState

          protected String sessionState

    - #### otherClaims

          protected Map<String,Object> otherClaims

  - ### Constructor Detail

    - #### AccessTokenResponse

          public AccessTokenResponse()

  - ### Method Detail

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken(String token)

    - #### getExpiresIn

          public long getExpiresIn()

    - #### setExpiresIn

          public void setExpiresIn(long expiresIn)

    - #### getRefreshExpiresIn

          public long getRefreshExpiresIn()

    - #### setRefreshExpiresIn

          public void setRefreshExpiresIn(long refreshExpiresIn)

    - #### getRefreshToken

          public String getRefreshToken()

    - #### setRefreshToken

          public void setRefreshToken(String refreshToken)

    - #### getTokenType

          public String getTokenType()

    - #### setTokenType

          public void setTokenType(String tokenType)

    - #### getIdToken

          public String getIdToken()

    - #### setIdToken

          public void setIdToken(String idToken)

    - #### getNotBeforePolicy

          public int getNotBeforePolicy()

    - #### setNotBeforePolicy

          public void setNotBeforePolicy(int notBeforePolicy)

    - #### getSessionState

          public String getSessionState()

    - #### setSessionState

          public void setSessionState(String sessionState)

    - #### getOtherClaims

          public Map<String,Object> getOtherClaims()

    - #### setOtherClaims

          public void setOtherClaims(String name,
                            Object value)

Copyright © 2015. All rights reserved.